/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * HealthCards
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class HealthCards {
  @SerializedName("vaccinations")
  private Vaccinations vaccinations = null;

  @SerializedName("health_risks")
  private HealthRisks healthRisks = null;

  @SerializedName("first_aid_kit")
  private FirstAidKit firstAidKit = null;

  public HealthCards vaccinations(Vaccinations vaccinations) {
    this.vaccinations = vaccinations;
    return this;
  }

   /**
   * Get vaccinations
   * @return vaccinations
  **/
  @ApiModelProperty(value = "")
  public Vaccinations getVaccinations() {
    return vaccinations;
  }

  public void setVaccinations(Vaccinations vaccinations) {
    this.vaccinations = vaccinations;
  }

  public HealthCards healthRisks(HealthRisks healthRisks) {
    this.healthRisks = healthRisks;
    return this;
  }

   /**
   * Get healthRisks
   * @return healthRisks
  **/
  @ApiModelProperty(value = "")
  public HealthRisks getHealthRisks() {
    return healthRisks;
  }

  public void setHealthRisks(HealthRisks healthRisks) {
    this.healthRisks = healthRisks;
  }

  public HealthCards firstAidKit(FirstAidKit firstAidKit) {
    this.firstAidKit = firstAidKit;
    return this;
  }

   /**
   * Get firstAidKit
   * @return firstAidKit
  **/
  @ApiModelProperty(value = "")
  public FirstAidKit getFirstAidKit() {
    return firstAidKit;
  }

  public void setFirstAidKit(FirstAidKit firstAidKit) {
    this.firstAidKit = firstAidKit;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    HealthCards healthCards = (HealthCards) o;
    return Objects.equals(this.vaccinations, healthCards.vaccinations) &&
        Objects.equals(this.healthRisks, healthCards.healthRisks) &&
        Objects.equals(this.firstAidKit, healthCards.firstAidKit);
  }

  @Override
  public int hashCode() {
    return Objects.hash(vaccinations, healthRisks, firstAidKit);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class HealthCards {\n");
    
    sb.append("    vaccinations: ").append(toIndentedString(vaccinations)).append("\n");
    sb.append("    healthRisks: ").append(toIndentedString(healthRisks)).append("\n");
    sb.append("    firstAidKit: ").append(toIndentedString(firstAidKit)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

